import winston from "winston";

const {combine, timestamp, printf, align, colorize, json} = winston.format;

export const logger = winston.createLogger({
  level: 'info',
  transports: [
    new winston.transports.Console({
      format: combine(
        colorize({all: true}),
        timestamp({
          format: 'YYYY-MM-DD hh:mm:ss.SSS A',
        }),
        align(),
        printf((info) => `[${info.timestamp}] ${info.level}: ${info.message}`)
      ),
    }),
    new winston.transports.File({
      filename: process.env.LOG_FILE || '/tmp/nostr-email.log',
      format: combine(timestamp(), json()),
    }),
  ],
});
